-----------------------------------------------------------------------------
-- |
-- Module      :  Data.TMap.Backend.NoBackend
-- Copyright   :  Peter Robinson 2009
-- License     :  LGPL
--
-- Maintainer  :  Peter Robinson <thaldyron@gmail.com>
-- Stability   :  experimental
-- Portability :  non-portable (requires STM)
--
-- A backend instantiation that ignores all requests.
-- 
--
-----------------------------------------------------------------------------
module Data.TMap.Backend.NoBackend( NoBackend(..) )
where
import Data.TMap.Backend( Backend(..) )

data NoBackend k a = NoBackend

instance (Ord k) => Backend k a NoBackend where
  insert _ _ _ = return ()
  adjust _ _ _ = return ()
  lookup _ _   = return Nothing
  delete _ _   = return ()

